#pragma once

class CListCtrlItemWalk
{
public:
	CListCtrlItemWalk(CListCtrl* pListCtrl) { m_pListCtrl = pListCtrl; }

	virtual CObject* GetNextSelectableItem(CObject* pCurrentObj); // NEO: MLD - [ModelesDialogs] <-- Xanatos --
	virtual CObject* GetPrevSelectableItem(CObject* pCurrentObj); // NEO: MLD - [ModelesDialogs] <-- Xanatos --

	CListCtrl* GetListCtrl() const { return m_pListCtrl; }

protected:
	CListCtrl* m_pListCtrl;
};
